﻿Type=StaticCode
Version=5.9
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private frm As Form
	Private Pane1 As Pane
	
	Private xui As XUI
	Private bmpImage As B4XBitmap
	
	Private DestRect As B4XRect
	
	Private ClearRect As B4XRect
	
	Private cnvImage As B4XCanvas
	
End Sub

Public Sub Show
	
	If frm.IsInitialized = False Then
		frm.Initialize("frm", 400, 600)
		frm.RootPane.LoadLayout("1")
	End If
	
	Create
	
	frm.ShowAndWait
	
End Sub

Sub Create
	
	bmpImage = xui.LoadBitmapResize(File.DirAssets, "greenImage.png", 400, 600, False)
	
	DestRect.Initialize(0, 0, 400, 600)
	cnvImage.Initialize(Pane1)
	
	cnvImage.DrawBitmapRotated(bmpImage, DestRect, 0)
	
End Sub

Sub Pane1_MouseDragged (EventData As MouseEvent)
	
	cnvImage.ClearRect(cnvImage.TargetRect)
	
	cnvImage.DrawBitmapRotated(bmpImage, DestRect, 0)
	
	cnvImage.DrawLine(0, 0, EventData.X, EventData.Y, xui.Color_White, 2)
	
	cnvImage.Invalidate
	
End Sub